import popup from "$utils/tool/popup";

import { FunctionTrigger } from '$mixins/trigger/class';
import {PopupExportComponent} from "$popup/popup-export/const";

export default [
    {
        label:'巧鱼币',
        placeholder:'用于陪玩、游戏场景',
        key:'integral',
        buttonGroup:[
            {
                label:'充值',
                trigger:new FunctionTrigger(function (){
                    return popup.$popup && popup.$popup.open(PopupExportComponent.recharge);
                })
            }
        ]
    },
    {
        label:'余额',
        placeholder:'可兑换成巧鱼币',
        style:'yellow',
        key:'money',
        buttonGroup:[
            {
                label:'兑换',
                trigger:new FunctionTrigger(function (){
                    return popup.$popup && popup.$popup.open(PopupExportComponent.exchangeCoin);
                })
            },
            {
                label: '提现',
                trigger:new FunctionTrigger(function (){
                    return popup.$popup && popup.$popup.open(PopupExportComponent.withdrawal);
                })
            }
        ]
    }
] as LibDataArray